<link rel="import" href="../../../polymer/polymer-element.html" />

<dom-module id="app-datos-profesionales">
    <template>
        <link rel="stylesheet" href="css/bulma.min.css" />
        <div class="card">
            <header class="card-header" on-click="ocultarSeccion">
                <p class="card-header-title has-text-primary is-uppercase">Datos profesionales</p>
                <a class="card-header-icon">
                    <span class="icon">🔽</span>
                </a>
            </header>
            <div class="card-content is-hidden">
                <div class="content">
                    <div class="columns">
                        <div class="column">
                            <label class="label">¿Qué estudios tienes?</label>
                            <div class="field">
                                <p class="control is-expanded">
                                    <span class="select is-fullwidth is-rounded">
                                        <select id="estudios" class="">
                                            <option value="ninguno">Sin estudios</option>
                                            <option value="posgrado">Posgrado</option>
                                            <option value="universitarios">Universitarios</option>
                                            <option value="tecnicos">Técnicos</option>
                                            <option value="bachillerato">Bachillerato</option>
                                            <option value="secundaria">Secundaria</option>
                                            <option value="primaria">Primaria</option>
                                        </select>
                                    </span>
                                </p>
                            </div>
                        </div>
                        <div class="column">
                            <div class="field">
                                <label class="label" for="empresa">Compañía/Empresa:</label>
                                <input
                                    class="input is-rounded"
                                    type="text"
                                    id="empresa"
                                    value="{{empresa::input}}"
                                    placeholder="Contoso"
                                />
                            </div>
                        </div>
                    </div>
                    <div class="field has-text-centered">
                        <button type="button" class="button is-primary" on-click="guardarCambios">
                            Guardar cambios
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </template>

    <script>
        class AppDatosProfesionales extends Polymer.Element {
            static get is() {
                return "app-datos-profesionales";
            }
            static get properties() {
                return {
                    empresa: {
                        type: String,
                        notify: true,
                    },
                };
            }
            ocultarSeccion() {
                this.shadowRoot.querySelector(".card-content").classList.toggle("is-hidden");
            }

            guardarCambios() {
                console.log(this.$.estudios.value);
                console.log(this.empresa);
                alert("Conexión al servidor pendiente, los datos están en la consola");
            }
        }

        window.customElements.define(AppDatosProfesionales.is, AppDatosProfesionales);
    </script>
</dom-module>
